al_set_audio_stream_pan(3)

NAME

al_set_audio_stream_pan - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_set_audio_stream_pan(ALLEGRO_AUDIO_STREAM *stream, float val)

DESCRIPTION

Set the pan value on an audio stream. A value of -1.0 means to play the stream only through the left speaker; +1.0 means only through the right speaker; 0.0 means the sample is centre balanced. A special value ALLEGRO_AUDIO_PAN_NONE(3) disables panning and plays the stream at its original level. This will be louder than a pan value of 0.0.

Returns true on success, false on failure. Will fail if the audio stream is attached directly to a voice.

SEE ALSO

al_get_audio_stream_pan(3), ALLEGRO_AUDIO_PAN_NONE(3)